Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.merge
Class AddRelationshipToDb

    java.lang.Object
      org.apache.cayenne.merge.AbstractToDbToken
          org.apache.cayenne.merge.AddRelationshipToDb

All Implemented Interfaces:
  MergerToken

    public class AddRelationshipToDb

extends AbstractToDbToken

Constructor Summary
`AddRelationshipToDb(DbEntity entity, DbRelationship rel)`

Method Summary
`MergerToken` | `createReverse(MergerFactory factory)` Create a token with the reverse direction.
`List<String>` | `createSql(DbAdapter adapter)`
`String` | `getTokenName()`
`String` | `getTokenValue()`

Methods inherited from class org.apache.cayenne.merge.AbstractToDbToken
`execute, getDirection, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddRelationshipToDb

    public AddRelationshipToDb(DbEntity entity,
                               DbRelationship rel)

Method Detail

### createSql

    public List<String> createSql(DbAdapter adapter)

  Specified by:
    `createSql` in class `AbstractToDbToken`
  See Also:
    `DbGenerator.createConstraintsQueries(org.apache.cayenne.map.DbEntity)`

### createReverse

    public MergerToken createReverse(MergerFactory factory)

  Description copied from interface: `MergerToken`
  Create a token with the reverse direction. AddColumn in one direction becomes DropColumn in the other direction.

  Not all tokens are reversible. See `#reversible()`

### getTokenName

    public String getTokenName()

### getTokenValue

    public String getTokenValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.